# Select Boxes
A jquery plugin that replace traditional default select dropdown to selectable boxes.

####Support
=========================
1. single select
2. options for defining rows, per row items, to show select box or hide it.
3. support for font awesom or glyphicons


####Pending Work
=========================
1. Make it responsive
2. Multi select support
3. Proper alignment of text field


### How To
1. Include 
```html
	<link rel="stylesheet" type="text/css" href="selectboxes.css">
	<script src="libs/jquery-1.11.0.js"></script>
	<script src="selectboxes.js"></script>
```
2. Initiate
```html
	<select class="pwn-boxes form-control">
		<option value="Cake" pwnicon="fa fa-birthday-cake">Cake</option>
		<option value="Coffe" pwnicon="fa fa-coffee">Coffe</option>
		<option value="Bear" pwnicon="fa fa-beer">Bear</option>
		<option value="Wine" pwnicon="fa fa-vine">Wine</option>
		<option value="Omlet" pwnicon="fa fa-cutlery">Omlet</option>
		<option value="Pizza" pwnicon="fa fa-bullseye">Pizza</option>
	</select>
```
```javascript
	// 2 row with each row 4 element
	$('.pwn-boxes').pwnselectboxes({
		rows : 2, // no of rows to show for select option
		selecthide : false
	});
	// single row
	$('.pwn-boxe').pwnselectboxes({
		selecthide : false, // to show related select box, default it hide
		perrow: 8 // per row element count
	});
```

3. For custom icons
   In select box option tag add "pwnicon" attribute and set the class for either font-awesom or glyph-icons
   or your custom class for icons.
   
# Screen Shot
![Alt text](/screen-shot.png?raw=true "Select Drop down to selectable boxes")