(function ( $ ) {
	$.fn.pwnselectboxes = function(options) {
		var settings = $.extend({
			rows: 1,
			perrow: 4,
			selecthide : true,
        }, options );
			var row_id = 14;
	    this.filter( "select" ).each(function() {
            var select = $( this );
			if(settings.selecthide == true){
				$(select).hide();
			}
			var options = $(this).find('option');
			var item_count = 0;
			var row = [];
			var row_count = 0;
			row_id += 1;
			
			row[row_count] = $('<ul>').addClass('pwnrow odd pwnrow'+row_id);
			options.each(function(){
				if(row_count < settings.rows){
					if(item_count < settings.perrow){
						var icon = $(this).attr('pwnicon');
						
						var rowElement = $('<li>');
						var rowElementContent = $('<a>').attr('href','javascript:void(0)');
						$(rowElementContent).attr('data-value',$(this).val());
						rowElementContent.html('<span class="'+icon+'"></span>'+$(this).text());
						$(rowElementContent).click(function(){
							$(select).val($(this).attr('data-value'));
							$('.pwnrow'+row_id).find('a').removeClass('pwn-selected');
							$(rowElementContent).addClass('pwn-selected');
						});
						
						$(rowElementContent).appendTo(rowElement);
						$(rowElement).appendTo(row[row_count]);
						item_count += 1;
						if(item_count == (settings.perrow - 1)){
							row_count += 1;
							item_count = 0;
							row[row_count] = $('<ul>').addClass('pwnrow pwnrow'+row_id);
							if(row_count%2 == 0){
								$(row[row_count]).addClass('odd');
							}else{
								$(row[row_count]).addClass('even');
							}
						}
					}
				}
			});
			$(row).each(function(){
				$(select).before(this);
				$(select).before('<div class="clearfix"></div>');
				var rowWidth = $(this).width();
				var perElementWidth = rowWidth/settings.perrow;
				$(this).find('li').css({
					"padding-left" : perElementWidth/2+"px",
					"padding-right" : perElementWidth/2+"px",
					"max-width" : perElementWidth + "px"
				});
			});
        });
	};
}( jQuery ));